---
.title = "Longboard Setup",
.author = "Martin Ashby",
.date = @date("2021-09-19T10:20:49+01:00"),
.layout = "single.html",
.custom = {"comments": true},
---

![Longboard](assets/longboard.jpg)

I recently picked up longboarding. I enjoy snowboarding, but in the current pandemic + climate change it's looking less sustainable as a hobby, so I'm learning downhill longboarding.

Current setup is pictured, links for individual items:

* [Freebyrd Hiro](https://lushlongboards.com/buy/freebyrd-hiro/) complete
* Larger wheels are [cultron](https://shop.lushlongboards.com/collections/wheels/products/cult-wheels-cultron-74mm-white), which came with the board as a complete. These are great for cruising, but I am unable to make them slide.
* Smaller wheels fitted at the moment are [chronicle](https://shop.lushlongboards.com/collections/wheels/products/cult-wheels-chronicle-65mm-white).
* Gloves are [lush freeride](https://shop.lushlongboards.com/collections/gloves/products/freeride-gloves)
* [Bullet padset](https://vandemlongboardshop.co.uk/products/bullet-combo-standard-padset-adult)
* Helmet is just my bike helmet, but I should upgrade to a skate helmet soon for side impact protection.
* Adidas skate shoes.

I've found the [longboarding subreddit](https://www.reddit.com/r/longboarding/) very informative, and I enjoy [downhill254](https://downhill254.com/)'s tutorial videos, as he includes some theory rather than just explaining how to do the moves.
