---
.title = "Book - Parable of the Sower / Parable of the Talents",
.author = "Martin Ashby",
.date = @date("2023-10-01T22:23:00+01:00"),
.layout = "single.html",
.custom = {"comments": true},
---

By [Octavia E Butler](https://en.wikipedia.org/wiki/Octavia_E._Butler). *Note, spoilers*

When I read fiction, I primarily read sci-fi. Some of my favourite authors include Iain M Banks, Terry Pratchett, Steven Baxter. I also enjoyed Frank Herbert's original Dune series, and some of Issac Asimov's short stories (particularly I Robot).

'Parable of the Sower' stood out to me in my local library's tiny sci-fi section; I'd not previously read anything by Octavia E Butler. It doesn't tread lightly: racism, sexism, violence, abuse and slavery are core themes, in a story where North America is tearing itself apart over a generation through crime, fear, and disorder. The protagonist Lauren Olamina suffers immensely, and yet she holds onto a dream of not only improving her own situation but changing the whole outlook of humanity; setting us on a course for the stars. The epilogue of the latter book sees an elderley Olamina watch the first starships launched through her organisation's work.

I enjoyed the story immensely, although the brutality made it difficult to enjoy the book. Butler herself said at interview that the research for the novel was ['overwhelming'](https://web.archive.org/web/20051112234721/http://www.democracynow.org/article.pl?sid=05%2F11%2F11%2F158201), and her writing took a more light-hearted turn rather than continuing this series.
