---
.title = "Dynamic DNS",
.author = "Martin Ashby",
.date = @date("2024-01-26T00:02:35Z"),
.layout = "single.html",
.custom = {"comments": true},
---

I recently upgraded my home broadband, however in the process I lost my static IP address. I have requested a new one, but in the meantime I wrote a [program](https://code.mfashby.net/do-dyn/file/src/main.zig.html) to dynamically update my DNS records in case my router restarts and my WAN IP address changes.

I didn't really want to change providers in order to move to a proper dynamic DNS setup, since this is a temporary solution, but I did enjoy writing a little code to make it work with my current DNS provider (digital ocean). I appreciate how useful it is to have an HTTP client in the zig standard library!

New broadband is now [fibre to the premises](https://en.wikipedia.org/wiki/Fiber_to_the_x), and it's quite a lot quicker.
