---
.title = "Pine64",
.author = "Martin Ashby",
.date = @date("2021-09-26T16:39:28+01:00"),
.layout = "single.html",
.custom = {"comments": true},
---

I bought a [Pinebook Pro](https://www.pine64.org/pinebook-pro/) some while back, and I'm quite happy with it. It has a nice small form factor, decent display, nice shell, and reasonable battery life. When I first bought it software support was somewhat sketchy, however most linux distributions and even OpenBSD now have support for it, so I'm hoping I can keep using it for a number of years. I have even managed to do some dayjob (software development) work with it.

I also bought the [Pinephone](https://www.pine64.org/pinephone/) but I've had much less success with this due to software not having caught up yet, and it's mostly consigned to my laptop bag these days. I might use it as a home server with a nice display in future.

Finally I bought the [Pinetime](https://www.pine64.org/pinetime/) smartwatch. I bought the dev kit in the full knowledge the software wasn't there yet, but at only something like £25 it was quite attractive as a hobby project. The [Infinitime](https://github.com/JF002/Infinitime) operating system (which the pinetime is sold with) is quite accessible for me, and I hope to make some contributions to it in future. It doesn't quite replace my old pebble for looks or software yet, but the company and community are making progress.

I'm really keen to try the [Pinenote](https://www.pine64.org/pinenote/) in future, as I really prefer looking at reflective rather than traditional transmissive backlit displays when I can, and it looks like a really nice crossover between tablet, laptop and e-reader.
