---
.title = "Wordle",
.author = "Martin Ashby",
.date = @date("2022-02-23T13:41:22Z"),
.layout = "single.html",
.custom = {"comments": true},
---

I really enjoyed playing [wordle](https://www.powerlanguage.co.uk/wordle/) recently, and I really appreciated how simple and fun the game is. I enjoyed comparing my scores with my friends and family; it's also fun to see people learning new words!

From a technical point of view, wordle is also a really neat and simple game. Everything is client-side, there's no server component, so it can be played offline. Even the sharing feature, unicode squares to show how accurate your guesses were without reavealing the word, is so simple and yet so effective.

The only thing I missed was a leaderboard to see who has that competitive edge :) 

So I [wrote my own](https://wordle.mfashby.net) and I also chose to [write it C](https://github.com/MFAshby/mordle)(and HTML, SQL, and a tiny bit of javascript), to see how different it would be to my usual choices (java or golang).

Overall I'm pleased with the result; it uses very little resource and it wasn't as difficult as I had imagined to use a 'lower level' language like C, although there is a fairly significant amount of code for such a simple game, and it's nowhere near as polished an experience as the original.

